_PTPObjectPropDesc Struct Reference

## Data Fields

uint16_t | ObjectPropertyCode
uint16_t | DataType
uint8_t | GetSet
PTPPropertyValue | FactoryDefaultValue
uint32_t | GroupCode
uint8_t | FormFlag
union { |
PTPPropDescEnumForm Enum |
PTPPropDescRangeForm Range |
PTPPropDescStringForm DateTime |
PTPPropDescArrayLengthForm FixedLengthArray |
PTPPropDescStringForm RegularExpression |
PTPPropDescArrayLengthForm ByteArray |
PTPPropDescStringForm LongString |
} | FORM |

The documentation for this struct was generated from the following file:

- ptp.h